Bug 203212 - Review Request: libgalago-gtk
Review Request: libgalago-gtk
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-18 19:16 EDT by Brian Pepple
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-23 14:01:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2006-08-18 19:16:47 EDT
Spec URL: http://piedmont.homelinux.org/fedora/libgalago/libgalago-gtk.spec
SRPM URL: http://piedmont.homelinux.org/fedora/libgalago/libgalago-gtk-0.5.0-1.src.rpm
Description: A collection of widgets that work with the Galago desktop presence framework.
Comment 1 Parag AN(पराग) 2006-09-05 05:32:58 EDT
{Not Official Reviewer}
packaging looks ok.
+ Mockbuild is successfull for i386 FC6
+ rpmlint on binary rpm is silent
+ dist tag is present
+ Buildroot is correct
- source URL is Wrong
+ BR is correct
+ License used is LGPL
+ License file COPYING is included
+ devel package is handled correctly
- MD5 sum on tarball is matching upstream tarball
  source tarball name is libgalago-gtk in SPEC whereas upstream tarball name is
  libgalago only.
+ No duplicate files

Not tested package
Comment 2 Brian Pepple 2006-09-05 09:20:21 EDT
(In reply to comment #1)
> - source URL is Wrong

Uhmm, no. 
http://www.galago-project.org/files/releases/source/libgalago-gtk/libgalago-gtk-0.5.0.tar.bz2,
which is the same as the spec file.

> - MD5 sum on tarball is matching upstream tarball
>   source tarball name is libgalago-gtk in SPEC whereas upstream tarball name
is libgalago only.

Uhmm, no again.  The name of the tarball is libgalago-gtk-0.5.0.tar.bz2, which
matches the spec file.


Comment 3 Parag AN(पराग) 2006-09-05 09:38:51 EDT
ohh sorry something i did mistakenly. First with wget command it failed and when
i check actual URL i wrongly clicked on libgalago dir instead libgalago-gtk.
anyway there is no problem in packaging.
SOURCE URL matches upstream tarball with
20e809869ec764efb2259ee0d0dee263  libgalago-gtk-0.5.0.tar.bz2

Comment 4 Mamoru TASAKA 2006-09-19 11:46:42 EDT
1. From http://fedoraproject.org/wiki/Packaging/Guidelines:

* Use rpmlint
  - rpmlint is not silent.

W: libgalago-gtk mixed-use-of-spaces-and-tabs (in src.rpm)
W: libgalago-gtk-devel no-documentation

  - Remove tabs from spec file to unify spacing.
  - The latter rpmlibt conmplaint can be ignored, I think.

* Timestamps
  - Use:
    make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -c -p"
    to keep the timestamps of header files in -devel package.

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
   = Nothing.
Comment 5 Mamoru TASAKA 2006-09-23 10:11:26 EDT
ping?
Comment 6 Brian Pepple 2006-09-23 10:52:55 EDT
(In reply to comment #4)
> W: libgalago-gtk mixed-use-of-spaces-and-tabs (in src.rpm)
> W: libgalago-gtk-devel no-documentation
> 
>   - Remove tabs from spec file to unify spacing.
>   - The latter rpmlibt conmplaint can be ignored, I think.

In my opinion both of these warnings can be ignored.

> 
> * Timestamps
>   - Use:
>     make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -c -p"
>     to keep the timestamps of header files in -devel package.

I also think that this can be ignored, but I would like to hear from other FE
contributors to get their opinion on this.
Comment 7 Mamoru TASAKA 2006-09-23 11:09:25 EDT
(In reply to comment #6)

> > * Timestamps
> >   - Use:
> >     make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -c -p"
> >     to keep the timestamps of header files in -devel package.
> 
> I also think that this can be ignored, but I would like to hear from other FE
> contributors to get their opinion on this.
> 

I usually recommend to keep timestamp if possible, especially when
the package contains a lot of files which were originally included 
in the source and not created during compilation stage. 

Keeping timestamp make it clearer if packager (like you) made some fixes
or changes against the files, IMO.
Comment 8 Brian Pepple 2006-09-23 11:42:04 EDT
Spec URL: http://piedmont.homelinux.org/fedora/libgalago/libgalago-gtk.spec
SRPM URL:
http://piedmont.homelinux.org/fedora/libgalago/libgalago-gtk-0.5.0-2.src.rpm

* Sat Sep 23 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.0-2
- Preserve timestamps of header files.
Comment 9 Mamoru TASAKA 2006-09-23 12:09:01 EDT
Okay.

--------------------------------------------------------------

 This package (libgalago-gtk) is APPROVED by me.

Note You need to log in before you can comment on or make changes to this bug.